# List a live public filter's options

> Source: https://elaichi.ai/docs/api-reference/dashboards/public/listpublicdashboardfilteroptions/

`GET /public/dashboard/{token}/filter/{key}/options`

Resource: **Public** · API: **Dashboards**

## Path parameters

- **`token`** _(string, required)_
  The unguessable link token
- **`key`** _(string, required)_
  The filter key

## Query parameters

- **`q`** _(string)_
  Matches option names on the server. LIKE wildcards are matched literally. Max 200 characters.

## Response body

- **`result`** _(array<object>)_
  - **`value`** _(string)_
  - **`label`** _(string)_
- **`next_cursor`** _(string,null)_
- **`prev_cursor`** _(string,null)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/public/dashboard/<token>/filter/<key>/options' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/public/dashboard/<token>/filter/<key>/options', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/public/dashboard/<token>/filter/<key>/options"
headers = {
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
